
/* Général */
body {
	color: dark grey;
	background: white;
}

a {
	color: grey;
}

a:hover, a:focus {
	color: grey;
}
strong {
	color: dimgray;
}
			     
/* Centrage titre des galleries */

h3 { 
    font-size: 0.9em;
    font-family: Arial, Verdana, sans-serif;
    color: black;
    position: absolute;
    margin: 580px 0px 0px 0px;
    width: 660px;
}

/* Page */
#global {
	background: white;
}

/* Navigation */
#navigation {
	background: white;
}
#navigation a {
	color: grey;
}
/* unvisited link */
#navigation a:link {color:grey;}

/* visited link */
#navigation a:visited {color:grey;}

/* mouse over link */
#navigation a:hover, #navigation a:focus {
	color:grey;
	background: #f8f8f8;
}

/* selected link */
#navigation a:active {color:black;}  

/* Contenu principal */
#contenu {
	color: grey;
	background: white;
}
#contenu a {
	color: #332510;
}
#contenu a:hover, #contenu a:focus {
	color:  #f8f8f8;
}
#contenu strong {
	color: #181A12;
}

/* Pied de page */
#pied {
	color: grey;
}


/* --- POSITIONNEMENT --- */

/* Page */
html, body {
	height: 100%; /* Voir -> Note 1 ci-dessous */
}
body {
	padding: 0;
}
#global {
	min-height: 100%; /* -> 1 */
	width: 850px;
	overflow: hidden; /* -> 2 */
	margin-left: auto;
	margin-right: auto; /* -> 3 */
}

/* En-tête */
#entete {
	padding: 15px 20px 10px 20px;
}
#entete h1 {
	margin: 0;
}
#entete h1 img {
	float: left;
	margin: 7px 20px 10px 0;
}
#entete .sous-titre {
	
	margin-top: -20px;
}

/* Menu de navigation */
#navigation {
	padding: 0px 15px 10px 15px;
}
#navigation ul {
	margin: 0;
	list-style: none;
	text-align: center;
}
#navigation li {
	display: inline;
}
#navigation a {
	padding: 6px;
	line-height: 1.5;
	font-size: 1.1em;
	text-decoration: none;
}

/* Contenu */
#contenu {
	padding: 10px 20px;
}
#contenu > :first-child {
	margin-top: 0px;
}
#contenu p, #contenu li {
	line-height: 1.5;
}

/* Pied de page */

#pied_home {
	padding: 15px 0px;
	font-size: .85em;
	margin-left: 11%;
	margin-right: 11%;
}


#pied_home {
	padding: 15px 20px;
	font-size: .85em;
}

#pied_home a{
	color: black;
}


#pied p {
	margin: .5em 0;
}
#copyright {
	text-align: center;
	font-size: 1em;
}


/* --- NOTES ---

1.	Pour pouvoir utiliser une hauteur (height) ou une hauteur minimale
	(min-height) sur un bloc, il faut que sont parent direct ait lui-même une
	hauteur déterminée (donc toute valeur de height sauf "auto": hauteur en
	pixels, em, autres unités...).
	Si la hauteur du parent est en pourcentage, elle se réfère alors à la
	hauteur du «grand-père», et ainsi de suite.
	Ainsi, pour pouvoir utiliser un "min-height: 100%" sur div#contenu, il nous
	faut:
	- un parent (body) en "height: 100%";
	- le parent de body également en "height: 100%".

2.	Il faut éviter que les marges des enfants de div#global ne se transmettent
	à leur parent. Notamment, le margin-top du premier enfant (ici, div#entete),
	et le margin-bottom du dernier enfant (ici, div#pied).
	On évite ce problème grâce à la propriété CSS overflow, qui bloque la
	fusion des marges. En savoir plus sur la fusion des marges:
	http://web.covertprestige.info/test
		04-blocs-imbriques-et-fusion-des-marges.html

3.	Les marges automatiques à gauche et à droite permettent de centrer notre
	bloc div#global, et donc tout le site.
	Pour aligner div#global à gauche, on fera:
		margin-left: 0;
		margin-rigth: auto;
	Pour aligner div#global à droite, on fera:
		margin-left: auto;
		margin-right: 0;
	Pour aligner div#global à droite avec un retrait (à droite) de 100px:
		margin-left: auto;
		margin-right: 100px;

*/
